StandardDialectResolver (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.service.jdbc.dialect.internal
Class StandardDialectResolver

    java.lang.Object
      org.hibernate.service.jdbc.dialect.internal.AbstractDialectResolver
          org.hibernate.service.jdbc.dialect.internal.StandardDialectResolver

All Implemented Interfaces:
  Serializable, DialectResolver, Service

    public class StandardDialectResolver

extends AbstractDialectResolver

The standard Hibernate Dialect resolver.

See Also:
  Serialized Form

Constructor Summary
`StandardDialectResolver()`

Method Summary
`protected Dialect` | `resolveDialectInternal(DatabaseMetaData metaData)` Perform the actual resolution without caring about handling `SQLException`s.

Methods inherited from class org.hibernate.service.jdbc.dialect.internal.AbstractDialectResolver
`resolveDialect`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StandardDialectResolver

    public StandardDialectResolver()

Method Detail

### resolveDialectInternal

    protected Dialect resolveDialectInternal(DatabaseMetaData metaData)
                                      throws SQLException

  Description copied from class: `AbstractDialectResolver`
  Perform the actual resolution without caring about handling `SQLException`s.

  Specified by:
    `resolveDialectInternal` in class `AbstractDialectResolver`
  Parameters:
    `metaData` - The database metadata
  Returns:
    The resolved dialect, or null if we could not resolve.
  Throws:
    `SQLException` - Indicates problems accessing the metadata.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.